- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Updates an existing Outbound Endpoint.
HTTP request
PATCH https://dns.googleapis.com/dns/v1beta2/{outboundEndpoint.name=projects/*/locations/*/outboundEndpoints/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
outboundEndpoint.name |
Identifier. The resource name of the OutboundEndpoint. Format: |
Query parameters
| Parameters | |
|---|---|
clientOperationId |
For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection. |
requestId |
Optional. An optional request ID to identify requests. |
Request body
The request body contains an instance of OutboundEndpoint.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ndev.clouddns.readwrite
For more information, see the Authentication Overview.